Check the status of a KYC link
curl --request GET \
--url https://api.bridge.xyz/v0/kyc_links/{kycLinkID} \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/kyc_links/{kycLinkID}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/kyc_links/{kycLinkID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "kyc_link_123",
"full_name": "John Doe",
"email": "johndoe@johndoe.com",
"type": "individual",
"kyc_link": "www.kyclink.com/blah",
"tos_link": "www.toslink.com/blah",
"kyc_status": "approved",
"rejection_reasons": [],
"tos_status": "approved",
"customer_id": "cust_123"
}KYC Links
Check the status of a KYC link
Retrieve the status of a KYC request from the passed in KYC link id
GET
/
kyc_links
/
{kycLinkID}
Check the status of a KYC link
Authorizations
Path Parameters
A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*Response
Successful KYC link status response
ID of the KYC link
Type of the KYC link
Available options:
individual, business ID of the customer.
Full name of the customer, for a business, this would be the business entity's legal name
Email of the customer
Link to the KYC flow
Status of the KYC flow.
Available options:
not_started, incomplete, awaiting_questionnaire, awaiting_ubo, under_review, approved, rejected, paused, offboarded, deposits_restricted Reasons why a customer KYC was rejected
Show child attributes
Show child attributes
Link to the TOS flow
Status of the TOS flow
Available options:
pending, approved Time of creation of the KYC link
Was this page helpful?